Subject: Re: bug#23609: 25.0.92; Python eldoc freeze

From: Jules Tamagnan <[email-masked]>
Date: Thu, 26 May 2016 13:13:27 -0400

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> From: Dmitry Gutov <[email-masked]>
>> Date: Thu, 26 May 2016 19:37:57 +0300
>> 
>> On 05/26/2016 07:31 PM, Eli Zaretskii wrote:
>> 
>> > Not IMO, since an easy workaround is available.
>> 
>> Disabling eldoc-mode? It's cutting off a very handy feature.
>
> A feature that wasn't turned on in 24.5, and whose turning on exposed
> this bug.  At least that's my understanding.
>
> If I'm right, then either this isn't a regression, or a regression
> with an easy workaround.
>
> Which doesn't mean we shouldn't try fixing this bug, just that it is
> not critical enough to delay the release if not fixed.  Motivated
> volunteers are very much encouraged to work on a fix; if that fix is
> safe, I see no reason not to accept it on the release branch.
>
> Thanks.

I've already filled out the proper paperwork and wouldn't mind doing
it. Would a timeout, of one second seem acceptable? If getting the
documentation takes longer than 1 second then it should timeout and we
should then locally set global-eldoc and eldoc mode to -1.

Thanks